Debian Bug report logs - #648317
RM: warsow -- RoQA: FTBFS on release architectures, unmaintained

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Thu, 10 Nov 2011 15:03:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#648317; Package warsow. (Thu, 10 Nov 2011 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 10 Nov 2011 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: warsow: Should warsow be Orphaned / ReMoved from Debian ?
Date: Thu, 10 Nov 2011 15:59:20 +0100
Package: warsow
Version: 0.42.dfsg1-1.1
Severity: serious
Justification: Maintainer says so

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear warsow maintainers,

while going through the list of packages involved in the libjpeg transition, I
fell on the warsow package. A quick look at it reveals that:

- - It has 3 FTBFS bugs on various release architectures: ia64 (#593700),
  kfreebsd-* (#564108) and hurd (#564109), all without answer since more than
  ten months (while all have patches).
- - No new upstream release made it in Squeeze.
- - It is out-dated with regards to upstream versions (0.50 is almost 2 years
  old).
- - Its bugs have seen no response in 2011.

I personally think it should be removed from Debian, both unstable and
testing, but after a short chat on #debian-games, here am I with a "discussion
bug".

Justification for serious is:
[15:49] <smcv> ok, here goes: I am a games team member and consider it to be
unsuitable for wheezy in its current state. there you go, serious. that was
easy :-)

Proposed timeline: 2 weeks open for discussion. Without people volunteering to
provide updates to warsow (by marking this bug as "-done"), I will reassign
this bug to FTP-Masters for the removal.

Cheers,

OdyX

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOu+bGAAoJEIvPpx7KFjRVK0UL/0YhPQhCMIrUlCuvnIWpBiAT
k65xHWmcTVAVDmpTBQ85dKjAQBlVgzYFh0P03MYmqxy/Inqwj32Dvlg/Pc8jYQYP
jVnANV6ayyqt650riP/AF3CXh7ogj847w7TmQun/zjucYdHjxz9hM5f+AWwGLgJe
azPtGwnT9Ock1nhEQf6HE75cHzTMKAGAX2L2s5HkcSAWEIUWT2ODiRfyquLxxmhf
huEVulqLkZYCjz38B6TDuA7XFqlUMZWCmtCWHANQJu0LIWmug8I4EQBatRYjNsu5
vnbSfpvwed9SQDIkNq0pQlFCPBmSzZNBTnJwNyHOciPRet4TD/SuaokcFlJaHJGO
Rkr42N9Nl4twmJRGqvAGeHI/OfgH2sF9BsIKVJTqSvTml9/lUeQPMN7CZLsP0FBi
9iw/VGNqEhxFr3by0Ugir/g6cPfFSbaD5ipNKDlOaRLtao+4uD5R3ilb7fywNfev
77vIs9+QjciUI7ipLDVwOLMzHGsFPVoxlcxB1fKU5Q==
=Yz7s
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#648317; Package warsow. (Thu, 10 Nov 2011 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 10 Nov 2011 15:09:10 GMT) Full text and rfc822 format available.

Message #10 received at 648317@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 648317@bugs.debian.org
Subject: Re: Bug#648317: warsow: Should warsow be Orphaned / ReMoved from Debian ?
Date: Thu, 10 Nov 2011 16:06:40 +0100
[Message part 1 (text/plain, inline)]
Le jeudi, 10 novembre 2011 15.59:20, Didier Raboud a écrit :
> - It has 3 FTBFS bugs on various release architectures: ia64 (#593700),
>   kfreebsd-* (#564108) and hurd (#564109), all without answer since more
>   than ten months (while all have patches).

Ah, it looks like it also currently FTBFS on amd64:

x86_64-linux-gnu-gcc  -pipe -I. -I/usr/include -I/usr/X11R6/include -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Wall -O2 
-fno-strict-aliasing -ffast-math -funroll-loops -DNDEBUG -c ref_gl/r_image.c -o build/client/r_image.o
ref_gl/r_image.c: In function 'LoadTGA':
ref_gl/r_image.c:655:6: warning: variable 'length' set but not used [-Wunused-but-set-variable]
ref_gl/r_image.c: At top level:
ref_gl/r_image.c:927:13: error: conflicting types for 'jpeg_mem_src'
/usr/include/jpeglib.h:961:13: note: previous declaration of 'jpeg_mem_src' was here
ref_gl/r_image.c: In function 'LoadWAL':
ref_gl/r_image.c:1225:18: warning: variable 'length' set but not used [-Wunused-but-set-variable]
ref_gl/r_image.c: In function 'R_MergeNormalmapDepthmap':
ref_gl/r_image.c:1463:21: warning: variable 'samples' set but not used [-Wunused-but-set-variable]
make[1]: *** [build/client/r_image.o] Error 1

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#648317; Package warsow. (Fri, 25 Nov 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 25 Nov 2011 10:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 648317@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 648317@bugs.debian.org
Cc: Debian FTP Master <ftpmaster@ftp-master.debian.org>
Subject: RM: warsow -- RoQA: FTBFS on release architectures, unmaintained
Date: Fri, 25 Nov 2011 11:34:46 +0100
[Message part 1 (text/plain, inline)]
reassign 648317 ftp.debian.org
retitle  648317 RM: warsow -- RoQA: FTBFS on release architectures, unmaintained
severity 648317 normal
thanks

Hi dear Warsow maintainers,

So now we are past the two-weeks ultimatum, so here I am for the actual
removal request of warsow (and warsow-data fwiw).

FTP-Masters: reasoning is below, quoted from #648317.

Le jeudi, 10 novembre 2011 15.59:20, Didier Raboud a écrit :
> A quick look at it reveals that:
> 
> - It has 3 FTBFS bugs on various release architectures: ia64 (#593700),
>   kfreebsd-* (#564108) and hurd (#564109), all without answer since more
>   than ten months (while all have patches).
> - No new upstream release made it in Squeeze.
> - It is out-dated with regards to upstream versions (0.50 is almost 2 years
>   old).
> - Its bugs have seen no response in 2011.
> 
> I personally think it should be removed from Debian, both unstable and
> testing, but after a short chat on #debian-games, here am I with a
> "discussion bug".
> 
> (…)
> 
> Proposed timeline: 2 weeks open for discussion. Without people volunteering
> to provide updates to warsow (by marking this bug as "-done"), I will
> reassign this bug to FTP-Masters for the removal.

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'warsow' to 'ftp.debian.org'. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:39:29 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions warsow/0.42.dfsg1-1.1. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:39:29 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: warsow -- RoQA: FTBFS on release architectures, unmaintained' from 'warsow: Should warsow be Orphaned / ReMoved from Debian ?' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:39:30 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:39:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#648317; Package ftp.debian.org. (Fri, 25 Nov 2011 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 25 Nov 2011 13:15:08 GMT) Full text and rfc822 format available.

Message #28 received at 648317@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 648317@bugs.debian.org
Cc: Debian FTP Master <ftpmaster@ftp-master.debian.org>, Didier Raboud <odyx@debian.org>, Debian Games Team <debian-devel-games@lists.debian.org>
Subject: Re: Bug#648317: RM: warsow -- RoQA: FTBFS on release architectures, unmaintained
Date: Fri, 25 Nov 2011 05:11:13 -0800
On Fri, Nov 25, 2011 at 2:34 AM, Didier Raboud <odyx@debian.org> wrote:
> reassign 648317 ftp.debian.org
> retitle  648317 RM: warsow -- RoQA: FTBFS on release architectures, unmaintained
> severity 648317 normal
> thanks
>
> Hi dear Warsow maintainers,
>
> So now we are past the two-weeks ultimatum, so here I am for the actual
> removal request of warsow (and warsow-data fwiw).
>
> FTP-Masters: reasoning is below, quoted from #648317.
>
> Le jeudi, 10 novembre 2011 15.59:20, Didier Raboud a écrit :
>> A quick look at it reveals that:
>>
>> - It has 3 FTBFS bugs on various release architectures: ia64 (#593700),
>>   kfreebsd-* (#564108) and hurd (#564109), all without answer since more
>>   than ten months (while all have patches).
>> - No new upstream release made it in Squeeze.
>> - It is out-dated with regards to upstream versions (0.50 is almost 2 years
>>   old).
>> - Its bugs have seen no response in 2011.
>>
>> I personally think it should be removed from Debian, both unstable and
>> testing, but after a short chat on #debian-games, here am I with a
>> "discussion bug".
>>
>> (…)
>>
>> Proposed timeline: 2 weeks open for discussion. Without people volunteering
>> to provide updates to warsow (by marking this bug as "-done"), I will
>> reassign this bug to FTP-Masters for the removal.
>
> Cheers,
> --
> OdyX
>
> _______________________________________________
> Pkg-games-devel mailing list
> Pkg-games-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-games-devel
>

If absolutely nobody else within the Debian games team wants to take
over maintenance of warsow, I'd be willing to do so myself, although I
won't have enough spare time until mid-December. Eh, on second
thought, I might not have enough time then either, so please feel free
to remove warsow from sid; I'll find time to upload a new package
eventually, some time before the freeze date next June. If somebody
steps in before then, that'd be great. :)

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#648317; Package ftp.debian.org. (Fri, 25 Nov 2011 13:43:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 25 Nov 2011 13:44:04 GMT) Full text and rfc822 format available.

Message #33 received at 648317@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 648317@bugs.debian.org, Debian Games Team <debian-devel-games@lists.debian.org>
Subject: Re: Bug#648317: RM: warsow -- RoQA: FTBFS on release architectures, unmaintained
Date: Fri, 25 Nov 2011 14:39:50 +0100
[Message part 1 (text/plain, inline)]
Le vendredi, 25 novembre 2011 14.11:13, Vincent Cheng a écrit :
> 
> If absolutely nobody else within the Debian games team wants to take
> over maintenance of warsow, I'd be willing to do so myself, although I
> won't have enough spare time until mid-December. Eh, on second
> thought, I might not have enough time then either, so please feel free
> to remove warsow from sid; I'll find time to upload a new package
> eventually, some time before the freeze date next June. If somebody
> steps in before then, that'd be great. :)

Not that I care much, but: is it really worth keeping warsow (in contrib, with 
non-free data) when we have openarena, nexuiz/xonotic and others in main ?

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 26 Nov 2011 10:09:53 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Sat, 26 Nov 2011 10:09:57 GMT) Full text and rfc822 format available.

Message #38 received at 648317-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 648317-close@bugs.debian.org
Cc: warsow@packages.debian.org, warsow@packages.qa.debian.org
Subject: Bug#648317: Removed package(s) from unstable
Date: Sat, 26 Nov 2011 10:07:42 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    warsow | 0.42.dfsg1-1.1 | source, ia64
    warsow | 0.50+dfsg1-1 | source, amd64, armel, i386, mips, mipsel, powerpc, s390, sparc
warsow-server | 0.42.dfsg1-1.1 | ia64
warsow-server | 0.50+dfsg1-1 | amd64, armel, i386, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
RoQA: FTBFS on release architectures, unmaintained
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648317@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/648317

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Dec 2011 07:33:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:02:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.